Find all types of locations

This endpoint returns the locations that match a partial string passed as query parameter (query) or matches exactly a specific field (locode, iataCode or postalCode). Only one of these fields must be used in a request. Locations returned can be either airport, port, zipcode, railTerminal or roadTerminal.

The query parameter locationTypes allows to filter the types returned. A list of values can be passed among port,airport,zipcode,railTerminal, roadTerminal. If this parameter is not passed in the query, all the types will be searched.

The query parameter sizes allows to filter the sizes of the locations returned for ports and airports.

The results are returned with this priority order : port > airport > railTerminal > zipcode > roadTerminal.

For each location, geometry (coordinates) is returned as well as properties fields. These fields differ according to the type of the location.

For airports : name, locode, size, iataCode, countryName, countryCode (as a two letters code).

For zipcodes : name, country, countryName, postalCode, stateCode, stateName, countyCode, countyName.

For ports : name, locode, size, countrycountryName, subdivisionCode, subdivisionName.

For ports, rail terminals and road terminals : name, locode, countrycountryName, subdivisionCode, subdivisionName.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
Defaults to Montreal

A partial string used for search. For instance, part of an airport name or part of a locode

string

A string denoting the postal code.

string

A string representing the locode of the searched airport.

string

A string representing the iata code of the searched airport.

string

A list of strings used to filter the location types. Permitted values are port, airport, zipcode, railTerminal, roadTerminal. If not passed, all the types will be taken into account.

string

A list of strings used to filter the location by size. Permitted values are large, medium, small. Note that this parameter is available for airports search only. If not passed, all the sizes will be taken into account.

string

A list of country codes (2 characters ISO) used to filter the location by country.

string

A list of country codes (2 characters ISO) used to exclude location of some countries.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json